### Method

# Pango GlyphString copy

#### Declaration [src]

    PangoGlyphString*
    pango_glyph_string_copy (
      PangoGlyphString* string
    )

#### Description [src]

Copy a glyph string and associated storage.

#### Parameters

`string`

  Type: `PangoGlyphString`

  A `PangoGlyphString`.

  The argument can be `NULL`.

#### Return value

Type: `PangoGlyphString`

The newly allocated `PangoGlyphString`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.